<?php

class QUnit_Data_Dictionary {
    var $_dictionary = array();

    function set($dictionary) {
        $this->_dictionary = $dictionary;
    }

    function getValue($key) {
        if(array_key_exists($key, $this->_dictionary)) {
            return $this->_dictionary[$key];
        }
        return false;
    }
    function add($id, $value) {
        $this->_dictionary[$id] = $value;
    }
}

?>